package company_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CompanyInfoVerificationRequest struct {
	// <ext>core:true</ext>【法人单位名称】法人单位名称
	CompanyName string `json:"companyName"`
	// <ext>core:true</ext>【统一社会信用代码/工商注册号】统一社会信用代码/工商注册号
	RegisterNo string `json:"registerNo"`
	// 【法定代表人姓名】法定代表人姓名
	LegalPerson string `json:"legalPerson,omitempty"`
}

func (obj CompanyInfoVerificationRequest) GetUrl() string {
	return "/company/info/verification"
}

func (obj CompanyInfoVerificationRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
